% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/box_plot_max_weekly_cases.R
\name{box_plot_max_weekly_cases}
\alias{box_plot_max_weekly_cases}
\title{Create box plots of maximum weekly cases by scenario}
\usage{
box_plot_max_weekly_cases(
  results = NULL,
  cap_cases = 5000,
  extinct_thresold = 0.1,
  inf_shift_value = 3,
  prop_asym = 0.4,
  facet_scales = "fixed",
  filt_control_effectiveness = 0.4,
  flip_coords = FALSE,
  num_initial_cases = 20,
  record_params = FALSE,
  y_lim = NULL
)
}
\arguments{
\item{results}{results of the branching model in a data.frame or tibble}

\item{cap_cases}{the maximimum number of cases per outbreak scenario; default is 5000}

\item{extinct_thresold}{filters the minimum proportion of simulations that become extinct per scenario; default 0.8}

\item{inf_shift_value}{Value of inf_shift to subset data to.}

\item{prop_asym}{A numeric string defaulting to 0. Filters the proportion of infectiouns are asymptomatic}

\item{facet_scales}{passed to facet_grid’s scales parameter; default is "fixed"}

\item{filt_control_effectiveness}{filters by the minimum control effectiveness proportion; default is 0.4}

\item{flip_coords}{flip coordinates of the box plot; default is FALSE}

\item{num_initial_cases}{filters by the number of initial cases in the scenario; default is 40}

\item{record_params}{option to display the params as a caption (used for testing); default FALSE}

\item{y_lim}{Numeric the limit of the y axis to show.}
}
\description{
Create box plots of maximum weekly cases by scenario
}
\author{
Amy Gimma and Sam Abbott
}
